use mio::Token;

use crate::command::Command;
use crate::database::Db;
use crate::queue::SendQueue;

impl Command {
	/// Quit the game
	pub fn dispatch_quit(&self, _: String, token: Token, _: &mut Db) -> SendQueue {
		(token, "Goodbye\n\n").into()
	}
}
